---
updatedAt: 2026-07-27T10:39:48.000Z
agentTools:
  projectIndex: https://developers.dailymotion.com/v0/llms.txt
---

# Edit video metadata

<Callout icon="🚀" theme="default">
  ### API v2 now available

  Visit the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/reference/introduction">API v2 documentation</Anchor> or follow the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/docs/migrating-from-legacy-api-to-api-v2">migration guide</Anchor> to upgrade.
</Callout>

<br />

Update your video metadata to **improve the performance and reach of your content**. Metadata, such as title, description, hashtags or category will help viewers discover your video through search and recommendations, but will also help advertisers for **accurate ad targeting**.

This quick guide shows you how to **update your video metadata using the API**.

***

<Callout icon="👍" theme="okay">
  ### Authentication required

  **Required scope:** `manage_videos`
</Callout>

You can update any other metadata field, such as:

* [`channel`](https://developers.dailymotion.com/reference/video-fields#channel)
* [`is_created_for_kids`](https://developers.dailymotion.com/reference/video-fields#is_created_for_kids)
* [`geoblocking`](https://developers.dailymotion.com/reference/video-fields#geoblocking)  (for Dailymotion Pro)
* [`hashtags`](https://developers.dailymotion.com/reference/video-fields#hashtags)
* [`language`](https://developers.dailymotion.com/reference/video-fields#language)

<br />

**Example: Update a video's title and description**

```curl Public API key
 // Replace VIDEO_ID with the ID of the video you want to edit

    curl -X POST -H 'Authorization: Bearer ${ACCESS_TOKEN}' \
      -d 'title=My new video title' \
      -d 'description=My new video description' \
      'https://api.dailymotion.com/video/VIDEO_ID'
```
```curl Private API key
 // Replace VIDEO_ID with the ID of the video you want to edit

    curl -X POST -H 'Authorization: Bearer ${ACCESS_TOKEN}' \
      -d 'title=My new video title' \
      -d 'description=My new video description' \
      'https://partner.api.dailymotion.com/rest/video/<VIDEO_ID>'
```

<Cards columns={1}>
  <Card title="Edit a video: Try it out!" href="https://developers.dailymotion.com/v0/reference/partner-api-edit-a-video#/" icon="fa-angle-double-down">
    Test the API call directly from our reference
  </Card>
</Cards>

<br />

***

<Callout icon="✨" theme="default">
  ### Metadata AI

  **Pro & Premium Creators** can also generate accurate titles, descriptions and hashtags using the <Anchor target="_blank" href="https://faq.dailymotion.com/hc/en-us/articles/27208497659282">Metadata AI</Anchor> feature, powered by AI and based on video transcript or user input.

  This feature is available in the [Dailymotion Studio](https://www.dailymotion.com/partner/media/video) and via the API with <Anchor target="_blank" href="https://developers.dailymotion.com/reference/video-fields#ai_metadata_generation">`ai_metadata_generation`</Anchor>.
</Callout>

<br />